Update an App's Compliance Information
curl --request PUT \
--url https://api.dots.dev/api/v2/apps/{app_id}/compliance \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"company_info": {
"ein": "<string>",
"incorporation_date": "2023-12-25",
"incorporation_state": "<string>",
"name": "<string>",
"website": "<string>",
"ubo_count": 2,
"dba": "<string>"
},
"contact_info": {
"city": "<string>",
"country": "<string>",
"email": "jsmith@example.com",
"line1": "<string>",
"phone_number": "<string>",
"state": "<string>",
"zip": "<string>",
"line2": "<string>"
},
"directors": [
{
"address": {
"city": "<string>",
"country": "<string>",
"line1": "<string>",
"state": "<string>",
"zip": "<string>",
"line2": "<string>"
},
"dob": "2023-12-25",
"email": "jsmith@example.com",
"first_name": "<string>",
"last_name": "<string>",
"ownership_percentage": 123,
"phone": "<string>",
"title": "<string>",
"ssn": "<string>"
}
],
"flow_of_funds": {
"reasons": "<string>",
"usage": "<string>"
}
}
'import requests
url = "https://api.dots.dev/api/v2/apps/{app_id}/compliance"
payload = {
"company_info": {
"ein": "<string>",
"incorporation_date": "2023-12-25",
"incorporation_state": "<string>",
"name": "<string>",
"website": "<string>",
"ubo_count": 2,
"dba": "<string>"
},
"contact_info": {
"city": "<string>",
"country": "<string>",
"email": "jsmith@example.com",
"line1": "<string>",
"phone_number": "<string>",
"state": "<string>",
"zip": "<string>",
"line2": "<string>"
},
"directors": [
{
"address": {
"city": "<string>",
"country": "<string>",
"line1": "<string>",
"state": "<string>",
"zip": "<string>",
"line2": "<string>"
},
"dob": "2023-12-25",
"email": "jsmith@example.com",
"first_name": "<string>",
"last_name": "<string>",
"ownership_percentage": 123,
"phone": "<string>",
"title": "<string>",
"ssn": "<string>"
}
],
"flow_of_funds": {
"reasons": "<string>",
"usage": "<string>"
}
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
company_info: {
ein: '<string>',
incorporation_date: '2023-12-25',
incorporation_state: '<string>',
name: '<string>',
website: '<string>',
ubo_count: 2,
dba: '<string>'
},
contact_info: {
city: '<string>',
country: '<string>',
email: 'jsmith@example.com',
line1: '<string>',
phone_number: '<string>',
state: '<string>',
zip: '<string>',
line2: '<string>'
},
directors: [
{
address: {
city: '<string>',
country: '<string>',
line1: '<string>',
state: '<string>',
zip: '<string>',
line2: '<string>'
},
dob: '2023-12-25',
email: 'jsmith@example.com',
first_name: '<string>',
last_name: '<string>',
ownership_percentage: 123,
phone: '<string>',
title: '<string>',
ssn: '<string>'
}
],
flow_of_funds: {reasons: '<string>', usage: '<string>'}
})
};
fetch('https://api.dots.dev/api/v2/apps/{app_id}/compliance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"company_info": {
"ein": "<string>",
"incorporation_date": "2023-12-25",
"incorporation_state": "<string>",
"name": "<string>",
"website": "<string>",
"ubo_count": 2,
"dba": "<string>"
},
"contact_info": {
"city": "<string>",
"country": "<string>",
"email": "jsmith@example.com",
"line1": "<string>",
"phone_number": "<string>",
"state": "<string>",
"zip": "<string>",
"line2": "<string>"
},
"directors": [
{
"address": {
"city": "<string>",
"country": "<string>",
"line1": "<string>",
"state": "<string>",
"zip": "<string>",
"line2": "<string>"
},
"dob": "2023-12-25",
"email": "jsmith@example.com",
"first_name": "<string>",
"last_name": "<string>",
"ownership_percentage": 123,
"phone": "<string>",
"title": "<string>",
"ssn": "<string>"
}
],
"flow_of_funds": {
"reasons": "<string>",
"usage": "<string>"
}
}apps
Update an App's Compliance Information
Add or update compliance information for an app in your organization
PUT
/
v2
/
apps
/
{app_id}
/
compliance
Update an App's Compliance Information
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
ID of the app to query or modify
Body
application/json
Was this page helpful?
⌘I

